<template>
  <div id="app" style="height: 100%">
    <Timeline
      ref="timeline"
      v-if="timelinedata && timelinedata.items && timelinedata.groups"
      :items="timelinedata.items"
      :groups="timelinedata.groups"
      :options="timelinedata.options"
    >
    </Timeline>
  </div>
</template>

<script>
import { Timeline } from "vue-visjs";
export default {
  props: ["timelinedata"],
  components: { Timeline },
};
</script>

<style>
.timeline {
  width: 100%;
}

.vis-timeline {
  border: none;
}

.vis-left {
  max-width: 100px;
}
</style>
